http://qs321.pair.com?node_id=789251

roadrunner has asked for the wisdom of the Perl Monks concerning the following question:

I'm using ActiveState Perl 5.6 on a Win32 platform and need to install "Encode" for some utf-8 shenanigans. However I get the following error from PPM when trying:
PPM> install Encode Install package 'Encode?' (y/N): y Installing package 'Encode'... Downloading http://ppm.activestate.com/PPMPackages/5.6/MSWin32-x86-mul +ti-thread/Encode-1.99.tar.gz ... Error installing package 'Encode': Error reading http://ppm.activestat +e.com/PPMPackages/5.6/MSWin32-x86-multi-thread/Encode-1.99.tar.gz
I've checked the repository and it isn't there. Does anyone know:

(1) Where I could get hold of this module from ?
(2) An alternative way of decoding UTF-8 strings (must be compatible with Win32 5.6) ?

Thanks.